<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/RTTIDisplay.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::RTTIDisplay</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../PTree.html" >PTree</a>
</div><div class="class-name">class RTTIDisplay

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/PTree/Display.hh.html" target="detail">../Synopsis/PTree/Display.hh</a></div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mRTTIDisplay" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line47" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="RTTIDisplay-inheritance" src="RTTIDisplay-inheritance.png" hspace="8" vspace="8" border="0" usemap="#RTTIDisplay-inheritance_map" />
<map name="RTTIDisplay-inheritance_map"><area alt="Scopes/Synopsis/PTree/Visitor.html" href="Visitor.html" shape="rect" coords="24, 7, 181, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="RTTIDisplay_lstd_mostream_A_cbool_r">RTTIDisplay</a>(std::ostream&amp; <span class="variable">os</span>, bool <span class="variable">encoded</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line50" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="display_lconst.Node_S_r">display</a>(const&#160;<a href="Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mRTTIDisplay_mdisplay_lconst.Node_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line52" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lAtom_S_r">visit</a>(<a href="Atom.html" >Atom</a>*)  </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mRTTIDisplay_mvisit_lAtom_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line54" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lList_S_r">visit</a>(<a href="List.html" >List</a>*)  </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mRTTIDisplay_mvisit_lList_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line55" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lDupAtom_S_r">visit</a>(<a href="DupAtom.html" >DupAtom</a>*)  </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mRTTIDisplay_mvisit_lDupAtom_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line56" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="newline_l_r">newline</a>()  </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mRTTIDisplay_mnewline_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line58" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis">std::ostream&amp; <a class="name" id="my_os">my_os</a></div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mRTTIDisplay_mmy_os" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line60" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">size_t <a class="name" id="my_indent">my_indent</a></div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mRTTIDisplay_mmy_indent" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line61" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">bool <a class="name" id="my_encoded">my_encoded</a></div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mRTTIDisplay_mmy_encoded" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line62" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:44 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
